> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/connect/getting_started.md).

# Getting Started

Welcome! This guide will help you get started with the Connect API, from creating your first application to making authenticated requests and understanding permissions.

## Step 1: Create an application

To use the APIs, you first need to create an application in [Trust](https://trust.caf.io/). You will receive a `client_id` and `client_secret`.

* Access [Creating an Application](/caf-api/connect/authentication/applications/creating-application.md) for step-by-step instructions.

## Step 2: Understand permissions

Your application requires specific permissions to access different API features. Review and select the permissions needed for your use case.

* Access [Available Permissions](/caf-api/connect/authentication/applications/available-permissions.md) for a full list.

## Step 3: Authenticate and obtain an access token

With your credentials, you can authenticate and obtain an OAuth2 access token. This token is required for all API requests.

* Learn how to authenticate in [Authenticating](/caf-api/connect/authentication/authenticating.md).

## Step 4: Set up mutual TLS (mTLS) authentication (recommended)

For enhanced security, Connect supports mutual TLS (mTLS) authentication. This provides an additional layer of security by requiring both the client and server to verify each other's certificates.

1. **Create a Certificate**:
   * Follow the instructions in [Creating a Certificate](/caf-api/connect/authentication/certificates/creating-certificate.md) to generate a client certificate.
2. **Configure mTLS in Your Application**:
   * Implement mTLS authentication using your certificate and private key.
   * Access [Using mTLS](/caf-api/connect/authentication/using-mtls.md) for code examples and detailed instructions.

## Next steps

* Explore the [Available Resources](/caf-api/connect/available-resources.md) to see what you can do with the API.
* Review [Managing Applications](/caf-api/connect/authentication/applications/managing-applications.md) for tips on updating or deleting your applications.
* Learn about [Managing Certificates](/caf-api/connect/authentication/certificates/managing-certificate.md) to handle certificate renewal and revocation.

> **Tip:** Keep your credentials and certificates secure and never expose them in client-side code or public repositories.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/connect/getting_started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
